<?php
# $Id: contactgroupedit.php,v 1.9 2003/03/04 14:20:15 kemuri Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Page variables
define("PAGE_ID","contactgroupedit");
define("PAGE_TITLE","Contactgroup object");
define("OBJECTTYPE","contactgroup");

require_once("local.inc");

$action = @strtolower($action);
$message = '';

# Actions before output is send
$action = strtolower($action);
switch($action) {
	case 'save':
		$saveobject['members'] = @implode(",",$saveobject['members']);

		$name = $saveobject['name'] ? 
			$saveobject['name'] : $saveobject[OBJECTTYPE.'_name'];

		$objectid = PluginSaveObject($objectid,$saveobject,OBJECTTYPE);
		header("Location: contactgroupedit.php");
		exit();
		break;
	case 'delete':
		$objectid = PluginDeleteObject($objectid,OBJECTTYPE);
		header("Location: contactgroups.php");
		exit();
		break;
}

include_once(NGT_LIB."head.inc");

if( is_array($object) == FALSE) {
	$object = PluginGetObject($objectid,OBJECTTYPE);
}

$contactgroupname = isset($object[OBJECTTYPE."_name"]) ? 
	$object[OBJECTTYPE."_name"] : $object['name']; 

if( !empty($object['name']) ) {
	$cntinh = NagiosCountInherited(OBJECTTYPE,$object['name']);
}

if( !empty($object['use']) ) {
	$inhobject = PluginGetObjectByName($object['use'],OBJECTTYPE);
	if (@is_array($inhobject)) {
		foreach($inhobject as $key => $value) {
			$object['++'.$key] = $value;
		}
	} else {
		$object["use"] = $inhobject;
	}
}

# Get a default cfg file if object is new
if( $object['__cfgfile'] == "") {
	$object['__cfgfile'] = NagiosGetDefaultCfgFile(OBJECTTYPE);
}

foreach( $confobjects[OBJECTTYPE] as $key => $propconf ) {

	$required = 'label';
	$value = $object[$key];
	$inhhtml = "";
	
	if( $inhvalue = $object["++".$key] ) {
	   $inhhtml = "  <td>$inhvalue</td>";
           $reqclass = 'requiredok';
	} else {
	   $reqclass = 'required';
	}
	
  	$show = NagiosObjPropEdit(OBJECTTYPE,$key,"saveobject[$key]",$value);

	if( empty($object['name']) ) {
		$required = $propconf[2] == TRUE ? $reqclass : 'label';
	}

	$rows[$key] = <<<HTML
<tr>
  <td class="label">$key</td>
  <td class="$required" with="3">&nbsp;</td>
  <td class="value">
  $show
  </td>
  $inhhtml
</tr>
HTML;
}

?>
<form method="post">
<input type="hidden" name="objectid" value="<?php print $object['__objectid']?>">
<input type="hidden" name="saveobject[__cfgfile]" value="<?php print $object['__cfgfile']?>">
<input type="hidden" name="saveobject[__type]" value="<?php print $object['__type']?>">

<table cellpadding="3" border="0">
<tr>
  <td colspan="3" align="left">
  <?php print ErrorMsg($errmsg)?>
  <b><?php print $message?>&nbsp;</b>
  </td>
</tr>
<tr>
  <td colspan="3" align="center">
  <input type="submit" name="action" value="Save">
  <input type="submit" name="action" value="Delete">
  </td>
</tr>
<tr class="rowsep">
  <td colspan="3">Properties</td>
<?php
if( !empty($object['use']) ) {
	$parent = PluginGetObjectByName($object['use'],OBJECTTYPE);
  print <<<HTML
  <td>
  Inherits from 
  <a href="contactgroupedit.php?objectid={$parent['use']}"><b>{$parent['name']}</b></a>
  </td>
HTML;
}
?>
</tr>
<?php print implode("\n", $rows)?>
<?php 

if ( $cntinh > 0 ) {
	print ObjectInheritance($contactgroupname,OBJECTTYPE);
}

$userobjs = NagiosObjectUsage($contactgroupname,OBJECTTYPE);
if ( $userobjs != NULL ) {
	print ObjectUsage($contactgroupname,OBJECTTYPE,$userobjs);
}

?>
<tr class="rowsep"><td colspan="3">&nbsp;</td></tr>
<tr>
  <td colspan="3" align="center">
  <input type="submit" name="action" value="Save">
  <input type="submit" name="action" value="Delete">
  </td>
</tr>
</table>
</form>

<?php
include_once(NGT_LIB."tail.inc");
?>
