<?php
# $Id: importer.php,v 1.13 2003/03/06 10:23:41 kemuri Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# Page variables
define("PAGE_ID","importer");
define("PAGE_TITLE","Importer");

require_once("local.inc");
include_once(NGT_LIB."head.inc");

if( !isset($action) ) $action = "";
$files = is_array($_POST['files']) ? $_POST['files'] : array();
$totalcount = 0;

# Try to get the nagios.cfg from previous import
$nagioscfg = PluginGetConfig("nagioscfg");
$cgicfg = PluginGetConfig("cgicfg");

# Import objects
if( $action == "importobjects" ) {

	print "<p>Importing objects:</p>\n";

	foreach( $files as $filename ) {
		print "<li> Reading file $filename.. ";
		flush();
		$count = PluginImportObjects($filename);
		if( $count == 0 ) {
			print "no objects found?";
		} else if ($count == -1 ) {
			print "error reading file";
		} else {
			print "read $count.";
			$totalcount += $count;
		}
		print "<br>\n";
		flush();
	}

	print "<p>Read $totalcount objects in total</p>\n";
	exit();

# Import Configuration
} else if( $action == "importcfg" && count($files) > 0 ) {

	print "<p>Importing configuration files:</p>\n";

	foreach( $files as $fileid ) {
		$filename = NAGIOS_ETC.$NAGIOS_CFGFILES[$fileid];
		print "<li> Processing file : $filename.. ";
		flush();
		if( $result = PluginImportCfgFile($fileid) ) {
			print "failed : ".$result;
		} else {
			print "ok!";
			$totalcount++;
		}
		flush();
	}

	print "<p>Read $totalcount configuration files.</p>\n";
	exit();

# Delete Nagios configuration data stored in Nagat
} else if( $action == "deletecfg" ) {

	print "<p>Deleting config data..";

	if( file_exists(NGT_CFGLOC."nagatcfg.dat") ) {
		unlink(NGT_CFGLOC."nagatcfg.dat");
		print ".. done.";
	} else {
		print ".. nothing to delete.";
	}

	print "</p>\n";

	flush();
	exit();

# Delete Nagios object data stored in Nagat
} else if( $action == "deleteobjs" ) {

	print "<p>Deleting object data..";

	if( file_exists(NGT_CFGLOC."nagatobjs.dat") ) {
		unlink(NGT_CFGLOC."nagatobjs.dat");
		print ".. done.";
	} else {
		print ".. nothing to delete.";
	}

	print "</p>\n";

	flush();
	exit();
}
?>
<br>
<br>
<b><u>Note:</u></b> 
The importer will not clear the configuration currently loaded.<br>
You might end up with doubles when importing twice. As long as we can't<br>
merge data, use the Delete-buttons. <b>They do not make backups!</b>

<h3>Nagios configuration:</h3>

<form action="importer.php" method="POST">
<input type="hidden" name="action" value="importcfg">
<?php 
	foreach($NAGIOS_CFGFILES as $key => $filename) {
		$fullloc = NAGIOS_ETC.$filename;
		print <<<HTML
<input type="checkbox" name="files[]" value="$key"> $fullloc<br>

HTML;
}

?>
<br>
<input type="submit" value="Start importing configuration files">
</form>
<?php if( file_exists(NGT_CFGLOC."nagatcfg.dat") ) { ?>
<form action="importer.php" method="POST">
<input type="hidden" name="action" value="deletecfg">
<input type="submit" value="Delete config data">
</form>
<?php } ?>

<?php 
if( $nagioscfg != NULL && is_array($nagioscfg['cfg_file']) ) {
?>
<form action="importer.php" method="POST">
<input type="hidden" name="action" value="importobjects">

<h3>Nagios objects:</h3>

<?php 
	foreach($nagioscfg['cfg_file'] as $filename) {
		print <<<HTML
<input type="checkbox" name="files[]" value="$filename"> $filename<br>

HTML;
}

?>
<br>
<input type="submit" value="Start importing objects">
</form>
<?php } ?>

<?php if( file_exists(NGT_CFGLOC."nagatobjs.dat") ) { ?>
<form action="importer.php" method="POST">
<input type="hidden" name="action" value="deleteobjs">
<input type="submit" value="Delete object data">
</form>
<?php 
}

include_once(NGT_LIB."tail.inc");
?>
