<?php
# $Id: local.inc.dist,v 1.10 2002/11/28 09:20:08 ricozz Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

# PHP Settings: uncomment/edit these when you know what you are doing
#ini_set("register_globals",1);

# Nagat (NGT) main configuration (mind ending slashes /)
define("NGT_ROOT","/var/www/html/admin/nagat/"); // where Nagat is installed
define("NGT_LIB",NGT_ROOT); // location of inc-files (exept local and sticky)
define("NGT_WEBROOT","/admin/nagat"); // URL of Nagat

# Location of Nagios (mind ending slashes);
define("NAGIOS_PREFIX","/usr");
define("NAGIOS_ETC","/etc/nagios/");
define("NAGIOS_BIN",NAGIOS_PREFIX."/bin/");

# Basic checks
if( !is_dir(NGT_ROOT) ) {
	print <<<HTML
<b>Configuration problem in local.inc:</b> <br>
<p style="width: 400px">
Please edit NGT_ROOT in local.inc to point to the Nagat installation directory.
</p>
<p>Nagat couldn't stat the Nagat installation directory.</p>
HTML;
	exit();
} else if( !is_dir(NAGIOS_ETC) ) {
	print <<<HTML
<b>Configuration problem in local.inc:</b> <br>
<p style="width: 400px">
Please edit NAGIOS_PREFIX and/or NAGIOS_ETC in local.inc to point to your Nagios installation.
</p>
<p>Nagat couldn't stat the Nagios /etc directory.</p>
HTML;
	exit();
} else if( get_cfg_var("register_globals") == 0 ) {
	print <<<HTML
<b>Configuration problem in local.inc:</b> <br>
<p style="width: 400px">
'register_globals' is off. Nagat still uses global defined variables. You can turn the register_globals back on by uncommenting the appropriated 'ini_set' line in local.inc.
</p>
HTML;
	exit();
}

# Cascade Style Sheet to use for HTML
define("CSS_URL","nagat.css");

# What error reporting do you want? (7 is good)
error_reporting(7);

# Max List Display
define("MAXLIST",10);

# Leave the following line alone
require_once(NGT_ROOT."sticky.inc");

###############################################################################
# PLUGIN CONFIGURATION
#
# Nagat (NGT) configuration. This can be anything: for the default plugin it
# should be a filename where serialized data should be sored. Or it can
# contain information to connect to a SQL server with some other plugin.
define("NGT_CFGLOC",NGT_ROOT); // Nagat configuration location

# Change this to the plugin you want to use. Nagat ships with plugin_default
# wich saves data so files containin serialized data.
require_once(NGT_LIB."plugin_default.inc");

?>
