<?php
# $Id: nagiosdata.inc,v 1.18 2002/12/04 10:25:07 kemuri Exp $

/*
 * Copyright (c) 2002 Ypsilon.Net AG, Germany
 *
 * This file is part of Nagat.
 * 
 * Nagat is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Nagat is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Nagat; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

$NAGIOS_CFGFILES = array(
        'nagioscfg' => 'nagios.cfg',
        'cgicfg' => 'cgi.cfg',
        );

# Nagios objecttypes
$NAGIOS_OBJTYPES = array(
	"host", "hostgroup", 
	"hostdependency", "hostescalation", "hostgroupescalation",
	"service", "servicegroup", "servicedependency","serviceescalation",
	"timeperiod",
	"contact", "contactgroup",
	"command"
	);

# Where and in what fields can an object be used in another object
$NAGIOS_OBJUSAGE = array(
	"host" => array(
		"host" => array("parents"),
		"hostgroup" => array("members"),
		"service" => array("host_name"),
		"hostdependency" => array("host_name", "dependent_host_name"),
		"hostescalation" => array("host_name"),
		"serviceescalation" => array("host_name"),
		),
	"hostgroup" => array(
		"service" => array("hostgroup_name"),
		"hostgroupescalation" => array("hostgroup_name"),
		"serviceescalation" => array("hostgroup_name"),
		),
	"service" => array(
		"servicegroup" => array("members"),
		"servicedependency" =>
			array("service_name","dependent_service_name"),
		"serviceescalation" => array("service_description"),
		),
	"contact" => array(
		"contactgroup" => array("members"),
		),
	"contactgroup" => array(
		"hostgroup" => array("contact_groups"),
		"service" => array("contact_groups"),
		"serviceescalation" => array("contact_groups"),
		),
	);

#
# $confobject = array(
#	'scope'	=> array(
#		'propertyname' => array('inputtype','defaultvalue', required,key)
#	);
$confobjects = array(
 'host' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
	'host_name'	=> array('string', '',TRUE,1),
	'alias'		=> array('string', '',TRUE,0),
	'address'	=> array('string', '',TRUE,0),
	'name'	=> array('string', '', FALSE,1),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplhost','',FALSE,0),
	'max_check_attempts' => array('number','',TRUE,0),
	'notification_interval' => array('number','',TRUE,0),
	'notification_period' => array('timeperiod','',TRUE,0),
	'notification_options' => array('notoptshost','',TRUE,0),
	'notifications_enabled' => array('yesno','1',FALSE,0),
	'check_command' => array('command', '',FALSE,0),
	'checks_enabled' => array('yesno', '',FALSE,0),
	'event_handler' => array('command', '',FALSE,0),
	'event_handler_enabled' => array('yesno','',FALSE,0),
	'low_flap_threshold' => array('number','',FALSE,0),
	'high_flap_threshold' => array('number','',FALSE,0),
	'flap_detection_enabled' => array('yesno','',FALSE,0),
	'process_perf_data' => array('yesno','',FALSE,0),
	'retain_status_information' => array('yesno','',FALSE,0),
	'retain_nonstatus_information' => array('yesno','',FALSE,0),
	'stalking_options' => array('stalkopts','',FALSE,0),
	'parents'	=> array('hostcommalist','',FALSE,0),
	),
 'hostgroup' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
 	'hostgroup_name' => array('string','',TRUE,1),
	'alias' => array('string','','TRUE'),
	'name' => array('string','',TRUE,0),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplhostgroup','',FALSE,0),
	'contact_groups' => array('contactgroupcommalist','','TRUE'),
	'members' => array('hostcommalist','',TRUE,0)
 	),
 'service' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
 	'host_name' => array('host','',TRUE,2),
	'hostgroup_name' => array('hostgroup','',TRUE,2),
 	'service_description' => array('string','',TRUE,2),
 	'check_command' => array('command','',TRUE,0),
	'name' => array('string','',TRUE,0),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplservice','',FALSE,0),
 	'max_check_attempts' => array('number','',TRUE,0),
 	'normal_check_interval' => array('number','',TRUE,0),
 	'retry_check_interval' => array('number','',TRUE,0),
	'active_checks_enabled' => array('yesno','',FALSE,0),
	'check_period' => array('timeperiod','',TRUE,0),
	'passive_checks_enabled' => array('yesno','',FALSE,0),
	'parallelize_check' => array('yesno','',FALSE,0),
	'obsess_over_service' => array('yesno','',FALSE,0),
	'check_freshness' => array('yesno','',FALSE,0),
 	'freshness_threshold' => array('number','',FALSE,0),
 	'event_handler' => array('command','',FALSE,0),
	'event_handler_enabled' => array('yesno','',FALSE,0),
 	'low_flap_threshold' => array('number','',FALSE,0),
 	'high_flap_threshold' => array('number','',FALSE,0),
 	'flap_detection_enabled' => array('yesno','',FALSE,0),
 	'process_perf_data' => array('yesno','',FALSE,0),
 	'retain_status_information' => array('yesno','',FALSE,0),
 	'retain_nonstatus_information' => array('yesno','',FALSE,0),
 	'notification_interval' => array('number','',TRUE,0),
	'notification_period' => array('timeperiod','',TRUE,0),
	'notification_options' => array('notsrvcnt','',TRUE,0),
 	'notifications_enabled' => array('yesno','',FALSE,0),
	'contact_groups' => array('contactgroupcommalist','',TRUE,0),
	'stalking_options' => array('stalksrvopts','',FALSE,0)
	),
 'serviceescalation' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
 	'service_description' => array('servicewildcard','',TRUE,0),
 	'host_name' => array('hostwildcardcommalist','',FALSE,0),
	'hostgroup_name' => array('hostgroupwildcardcommalist','',FALSE,0),
 	'first_notification' => array('number','',TRUE,0),
 	'last_notification' => array('number','',TRUE,0),
	'contact_groups' => array('contactgroupcommalist','',TRUE,0),
 	'notification_interval' => array('number','',TRUE,0),
    ),
 'contact' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
	'contact_name'	=> array('string', '',TRUE,1),
	'alias'		=> array('string', '',TRUE,0),
	'name'	=> array('string', '', FALSE,0),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplcontact','',FALSE,0),
	'host_notification_period' => array('timeperiod','',TRUE,0),
	'host_notification_options' => array('nothstcnt','',TRUE,0),
	'host_notification_commands' => array('commandcommalist','',FALSE,0),
	'service_notification_period' => array('timeperiod','',TRUE,0),
	'service_notification_options' => array('notsrvcnt','',TRUE,0),
	'service_notification_commands' => array('commandcommalist','',FALSE,0),
	'email' => array('string','',FALSE,0),
	'pager' => array('string','',FALSE,0)
 	),
 'contactgroup' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
 	'contactgroup_name' => array('string','',TRUE,1),
	'alias' => array('string','','TRUE'),
	'name'	=> array('string', '', FALSE,0),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplcontactgroup','',FALSE,0),
	'members' => array('contactcommalist','',TRUE,0)
 	),
 'timeperiod' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
 	'timeperiod_name' => array('string','',TRUE,1),
	'alias' => array('string','',TRUE,0),
	'name'	=> array('string', '', FALSE,0),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tpltimeperiod','',FALSE,0),
	'sunday' => array('timerangs','',FALSE,0),
	'monday' => array('timerangs','',FALSE,0),
	'tuesday' => array('timerangs','',FALSE,0),
	'wednesday' => array('timerangs','',FALSE,0),
	'thursday' => array('timerangs','',FALSE,0),
	'friday' => array('timerangs','',FALSE,0),
	'saturday' => array('timerangs','',FALSE,0)
 	),
  'command' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
	'command_name' => array('string','',TRUE,1),
	'command_line' => array('cmdline','',TRUE,0)
  	),
  'hostextinfo' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
  	'host_name' => array('host','',TRUE,0),
	'name'	=> array('string', '', FALSE,0),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplhostextinfo','',FALSE,0),
	'notes_url' => array('string','',FALSE,0),
	'icon_image' => array('iconimage','',FALSE,0),
	'icon_image_alt' => array('string','',FALSE,0),
	'vrml_image' => array('vrmlimage','',FALSE,0),
	'statusmap_image' => array('statusimage','',FALSE,0),
	'2d_coords' => array('xy','',FALSE,0),
	'3d_coords' => array('xyz','',FALSE,0)
  	),
  'serviceextinfo' => array(
	'__cfgfile'	=> array('cfgfile','',TRUE,0),
  	'host_name' => array('host','',TRUE,FLASE),
	'service_name' => array('service','',TRUE,0),
	'name'	=> array('string', '', FALSE,1),
	'register' => array('yesno','1', FALSE,0),
	'use' => array('tplserviceextinfo','',FALSE,0),
	'notes_url' => array('string','',FALSE,0),
	'icon_image' => array('iconimage','',FALSE,0),
	'icon_image_alt' => array('string','',FALSE,0)
  	),
  'nagioscfg' => array(
	'log_file' => array('string','',TRUE,0),
	'cfg_file' => array('multistring','',FALSE,0),
	'cfg_dir' => array('multistring','',FALSE,0),
	'resource_file' => array('multistring','',FALSE,0),
	'temp_file' => array('string','',TRUE,0),
	'status_file' => array('string','',TRUE,0),
	'aggregate_status_updates' => array('yesno','1',FALSE,0),
	'status_update_interval' => array('number','',FALSE,0),
	'nagios_user' => array('string','',TRUE,0),
	'nagios_group' => array('string','',TRUE,0),
	'enable_notifications' => array('yesno','1',FALSE,0),
	'execute_service_checks' => array('yesno','1',FALSE,0),
	'accept_passive_service_checks' => array('yesno','1',FALSE,0),
	'enable_event_handlers' => array('yesno','1',FALSE,0),
	'log_rotation_method' => array('logrotate','n',FALSE,0),
	'log_archive_path' => array('string','',FALSE,0),
	'check_external_commands' => array('yesno','0',FALSE,0),
	'command_check_interval' => array('number','',TRUE,0),
	'comment_file' => array('string','',TRUE,0),
	'downtime_file' => array('string','',TRUE,0),
	'command_file' => array('string','',TRUE,0),
	'lock_file' => array('string','',TRUE,0),
	'retain_state_information' => array('string','0',TRUE,0),
	'state_retention_file' => array('string','',TRUE,0),
	'retention_update_interval' => array('string','',TRUE,0),
	'use_retained_program_state' => array('yesno','1',TRUE,0),
	'use_syslog' => array('yesno','',TRUE,0),
	'log_notifications' => array('yesno','',FALSE,0),
	'log_service_retries' => array('yesno','',FALSE,0),
	'log_host_retries' => array('yesno','',FALSE,0),
	'log_event_handlers' => array('yesno','',FALSE,0),
	'log_initial_states' => array('yesno','0',FALSE,0),
	'log_external_commands' => array('yesno','1',FALSE,0),
	'log_passive_service_checks' => array('yesno','1',FALSE,0),
	'global_host_event_handler' => array('command','',FALSE,0),
	'global_service_event_handler' => array('command','',FALSE,0),
	'sleep_time' => array('number','',TRUE,0),
	'inter_check_delay_method' => array('intercheck','s',FALSE,0),
	'service_interleave_factor' => array('interleavefact','s',FALSE,0),
	'max_concurrent_checks' => array('number','',FALSE,0),
	'service_reaper_frequency' => array('number','',TRUE,0),
	'interval_length' => array('number','60',FALSE,0),
	'use_agressive_host_checking' => array('yesno','0',FALSE,0),
	'enable_flap_detection' => array('yesno','0',FALSE,0),
	'low_service_flap_threshold' => array('number','',TRUE,0),
	'high_service_flap_threshold' => array('number','',TRUE,0),
	'low_host_flap_threshold' => array('number','',TRUE,0),
	'high_host_flap_threshold' => array('number','',TRUE,0),
	'soft_state_dependencies' => array('yesno','0',FALSE,0),
	'service_check_timeout' => array('number','',TRUE,0),
	'host_check_timeout' => array('number','',TRUE,0),
	'event_handler_timeout' => array('number','',TRUE,0),
	'notification_timeout' => array('number','',TRUE,0),
	'ocsp_timeout' => array('number','',TRUE,0),
	'perfdata_timeout' => array('number','',TRUE,0),
	'obsess_over_services' => array('yesno','0',FALSE,0),
	'ocsp_command' => array('command','',FALSE,0),
	'process_performance_data' => array('yesno','0',FALSE,0),
	'check_for_orphaned_services' => array('yesno','0',FALSE,0),
	'check_service_freshness' => array('yesno','1',FALSE,0),
	'freshness_check_interval' => array('number','1',TRUE,0),
	'admin_email' => array('string','',TRUE,0),
	'admin_pager' => array('string','',TRUE,0),
	'date_format' => array('dateformat','us',FALSE,0),
	'illegal_object_name_chars' => array('string','`~!$%^&*|\'<>?,()=',FALSE,0),
	'illegal_macro_output_chars' => array('string','`~$^&|\'<>',FALSE,0),
	),
  'cgicfg' => array(
	'authorized_for_all_host_commands' => array('users','',FALSE,0),
	'authorized_for_all_hosts' => array('users','',FALSE,0),
	'authorized_for_all_service_commands' => array('users','',FALSE,0),
	'authorized_for_all_services' => array('users','',FALSE,0),
	'authorized_for_configuration_information' => array('users','',FALSE,0),
	'authorized_for_system_commands' => array('users','',FALSE,0),
	'authorized_for_system_information' => array('users','',FALSE,0),
	'default_statusmap_layout' => array('string','',FALSE,0),
	'default_statuswrl_layout' => array('string','',FALSE,0),
	'main_config_file' => array('string','',FALSE,0),
	'physical_html_path' => array('string','',FALSE,0),
	'nagios_check_command' => array('string','',FALSE,0),
	'refresh_rate' => array('string','',FALSE,0),
	'url_html_path' => array('string','',FALSE,0),
	'use_authentication' => array('string','',FALSE,0),
	'xcddb_database' => array('string','',FALSE,0),
	'xcddb_host' => array('string','',FALSE,0),
	'xcddb_password' => array('password','',FALSE,0),
	'xcddb_port' => array('string','',FALSE,0),
	'xcddb_username' => array('string','',FALSE,0),
	'xdddb_database' => array('string','',FALSE,0),
	'xdddb_host' => array('string','',FALSE,0),
	'xdddb_password' => array('password','',FALSE,0),
	'xdddb_port' => array('string','',FALSE,0),
	'xdddb_username' => array('string','',FALSE,0),
	'xeddb_database' => array('string','',FALSE,0),
	'xeddb_host' => array('string','',FALSE,0),
	'xeddb_password' => array('password','',FALSE,0),
	'xeddb_port' => array('string','',FALSE,0),
	'xeddb_username' => array('string','',FALSE,0),
	'xsddb_database' => array('string','',FALSE,0),
	'xsddb_host' => array('string','',FALSE,0),
	'xsddb_password' => array('password','',FALSE,0),
	'xsddb_port' => array('string','',FALSE,0),
	'xsddb_username' => array('string','',FALSE,0),
	'xedtemplate_config_file' => array('multistring','',FALSE,0)

	)
);

$propoptions = array(
 'notoptshost' => array(
	'd' => 'send on a down state',
	'u' => 'send on an unreachable state',
	'r' => 'send notifications on recoveries (up state)'
	),
 'stalkopts' => array(
 	'o' => 'stalk on up states',
	'd' => 'stalk on down states',
	'u' => 'stalk on unreachable states'
 	),
 'stalksrvopts' => array(
 	'o' => 'stalk on ok states',
	'w' => 'stalk on warning states',
	'u' => 'stalk on unknown states',
	'c' => 'stalk on critical states'
 	),
 'notsrvcnt' => array(
	'w' => 'notify on warning service state',
	'u' => 'notify on unknown service states',
	'c' => 'notify on critical service states',
	'r' => 'notify on service recoveries (ok state)'
 	),
 'nothstcnt' => array(
 	'd' => 'notify on down host state',
	'u' => 'notify on unreachable host states',
	'r' => 'send notifications on recoveries (up state)'
	),
 'dateformat' => array(
 	'us' => 'us (MM-DD-YYYY HH:MM:SS)',
	'euro' => 'euro (DD-MM-YYYY HH:MM:SS)',
	'iso8601' => 'iso8601 (YYYY-MM-DD HH:MM:SS)',
	'strict-iso8601' => 'strict-iso8601 (YYYY-MM-DDTHH:MM:SS)'
 	),
 'intercheck' => array(
	's' => 'Use "smart" inter-check delay calculation',
	'n' => "None - don't use any delay between checks",
	'd' => 'Use a "dumb" delay of 1 second between checks',
	'x' => 'interleave factor: :numberinput: seconds'
 	),
 'interleavefact' => array(
	's' => 'Use "smart" interleave factor calculation',
	'x' => 'interleave factor: :numberinput:'
 	)
);

$cfgnagios = array(
  'accept_passive_service_checks' => array('yesno','',TRUE),
  'admin_email' => array('string','',TRUE),
  'admin_pager' => array('string','',TRUE),
  'aggregate_status_updates' => array('string','',TRUE),
  'cfg_file' => array('string','',TRUE),
  'check_external_commands' => array('string','',TRUE),
  'check_for_orphaned_services' => array('string','',TRUE),
  'check_service_freshness' => array('string','',TRUE),
  'command_check_interval' => array('string','',TRUE),
  'command_file' => array('string','',TRUE),
  'comment_file' => array('string','',TRUE),
  'date_format' => array('string','',TRUE),
  'downtime_file' => array('string','',TRUE),
  'enable_event_handlers' => array('string','',TRUE),
  'enable_flap_detection' => array('string','',TRUE),
  'enable_notifications' => array('string','',TRUE),
  'event_handler_timeout' => array('string','',TRUE),
  'execute_service_checks' => array('string','',TRUE),
  'freshness_check_interval' => array('string','',TRUE),
  'high_host_flap_threshold' => array('string','',TRUE),
  'high_service_flap_threshold' => array('string','',TRUE),
  'host_check_timeout' => array('string','',TRUE),
  'inter_check_delay_method' => array('string','',TRUE),
  'interval_length' => array('string','',TRUE),
  'lock_file' => array('string','',TRUE),
  'log_archive_path' => array('string','',TRUE),
  'log_event_handlers' => array('string','',TRUE),
  'log_external_commands' => array('string','',TRUE),
  'log_file' => array('string','',TRUE),
  'log_host_retries' => array('string','',TRUE),
  'log_initial_states' => array('string','',TRUE),
  'log_notifications' => array('string','',TRUE),
  'log_passive_service_checks' => array('string','',TRUE),
  'log_rotation_method' => array('string','',TRUE),
  'log_service_retries' => array('string','',TRUE),
  'low_host_flap_threshold' => array('string','',TRUE),
  'low_service_flap_threshold' => array('string','',TRUE),
  'max_concurrent_checks' => array('string','',TRUE),
  'nagios_group' => array('string','',TRUE),
  'nagios_user' => array('string','',TRUE),
  'notification_timeout' => array('string','',TRUE),
  'obsess_over_services' => array('string','',TRUE),
  'ocsp_timeout' => array('string','',TRUE),
  'perfdata_timeout' => array('string','',TRUE),
  'process_performance_data' => array('string','',TRUE),
  'resource_file' => array('string','',TRUE),
  'retain_state_information' => array('string','',TRUE),
  'retention_update_interval' => array('string','',TRUE),
  'service_check_timeout' => array('string','',TRUE),
  'service_interleave_factor' => array('string','',TRUE),
  'service_reaper_frequency' => array('string','',TRUE),
  'sleep_time' => array('string','',TRUE),
  'state_retention_file' => array('string','',TRUE),
  'status_file' => array('string','',TRUE),
  'status_update_interval' => array('string','',TRUE),
  'temp_file' => array('string','',TRUE),
  'use_agressive_host_checking' => array('string','',TRUE),
  'use_retained_program_state' => array('string','',TRUE),
  'use_syslog' => array('string','',TRUE),
);

?>
